diff --git a/tests/set_recvmaxsize.c b/tests/set_recvmaxsize.c
index 9fed960d..ce475a9d 100644
--- a/tests/set_recvmaxsize.c
+++ b/tests/set_recvmaxsize.c
@@ -15,7 +15,8 @@
 #define RCVBUFSIZE 200
 
 const char *addrs[] = {
-    "ipc:///tmp/temptemptemmmmp",
+    "inproc:///tmp/inproctmp_setrecvmaxsz",
+    "ipc:///tmp/ipctemp_setrecvmaxsz",
     "tcp://127.0.0.1:43895",
 };
 
